# IGListGenericSectionController Class Reference

# IGListGenericSectionController

    @interface IGListGenericSectionController<__covariant ObjectType>
        : IGListSectionController

This class adds a helper layer to `IGListSectionController` to automatically store a generic object in `didUpdateToObject:`.

- `object`

  The object mapped to this section controller. Matches the object provided in `[IGListAdapterDataSource listAdapter:sectionControllerForObject:]` when this section controller was created and returned.

  Note

  This object is briefly `nil` between initialization and the first call to `didUpdateToObject:`. After that, it is safe to assume that this is non-`nil`.

  #### Declaration

  Objective-C

      @property (readonly, strong, nonatomic, nullable) ObjectType object;

  Swift

      var object: ObjectType? { get }

- `-didUpdateToObject:`

  Updates the section controller to a new object.

  Note

  This `IGListSectionController` subclass sets its object in this method, so any overrides must call super.

  #### Declaration

  Objective-C

      - (void)didUpdateToObject:(nonnull id)object;

  Swift

      func didUpdate(to object: Any)

  #### Parameters

  `object` | The object mapped to this section controller.

© 2019 Instagram. All rights reserved. (Last updated: 2019-11-20)

Generated by jazzy ♪♫ v0.12.0, a Realm project.